%define major		1
%define libname		%mklibname xxf86vm %major
%define develname	%mklibname xxf86vm -d

Name:		libxxf86vm
Summary:	XFree86 Video Mode Extension Library
Version:	1.1.3
Release:	%mkrel 3
Group:		Development/X11
License:	MIT
URL:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXxf86vm-%{version}.tar.bz2

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 7.5
BuildRequires: x11-util-macros >= 1.0.1

%description
XFree86 Video Mode Extension Library

#-----------------------------------------------------------

%package -n %{libname}
Summary: Shared libraries for %{name}
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libname}
XFree86 Video Mode Extension Library

%files -n %{libname}
%{_libdir}/libXxf86vm.so.%{major}*

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}xxf86vm-static-devel < 1.1.3-2

%description -n %{develname}
Development files for %{name}

%files -n %{develname}
%{_libdir}/libXxf86vm.so
%{_libdir}/pkgconfig/xxf86vm.pc
%{_includedir}/X11/extensions/*.h
%{_mandir}/man3/XF86VidMode*.*
%{_mandir}/man3/XF86VM.*

#-----------------------------------------------------------

%prep
%setup -q -n libXxf86vm-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.1.3-3.mga4
+ Revision: 532805
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.1.3-2.mga4
+ Revision: 469649
- drop unneded requires
- drop old Mdv era conflicts/obsoletes
- drop static devel pkg

* Fri May 31 2013 tv <tv> 1.1.3-1.mga4
+ Revision: 433602
- new release

* Sat Jan 12 2013 umeabot <umeabot> 1.1.2-3.mga3
+ Revision: 358730
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 tmb <tmb> 1.1.2-2.mga3
+ Revision: 311073
- rebuild for new toolchain

* Fri Mar 09 2012 tv <tv> 1.1.2-1.mga2
+ Revision: 222255
- new release

* Sun Nov 20 2011 dmorgan <dmorgan> 1.1.1-3.mga2
+ Revision: 169958
- Remove .la files

* Sat Jan 08 2011 blino <blino> 1.1.1-2.mga1
+ Revision: 1118
- remove old chkconfig scriptlets
- imported package libxxf86vm


* Sat Oct 30 2010 Thierry Vignaud <tv@mandriva.org> 1.1.1-1mdv2011.0
+ Revision: 590424
- new release

* Tue Nov 10 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.1.0-1mdv2010.1
+ Revision: 464052
- New version: 1.1.0

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.2-4mdv2010.0
+ Revision: 425975
- rebuild

* Sun Nov 09 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.2-3mdv2009.1
+ Revision: 301210
- rebuild for new xcb

* Fri Nov 07 2008 Olivier Blin <oblin@mandriva.com> 1.0.2-2mdv2009.1
+ Revision: 300405
- rebuild for new xcb

* Wed Jul 16 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.0.2-1mdv2009.0
+ Revision: 236607
- Update to version 1.0.2

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-4mdv2009.0
+ Revision: 223092
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Tue Jan 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.1-3mdv2008.1
+ Revision: 152768
- Update BuildRequires and rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 22 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.1-3mdv2008.0
+ Revision: 68819
- rebuild for 2008
- new devel policy
- spec clean

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages extension


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:17:57 (31598)
- X11R7.1

* Wed May 17 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-17 02:50:41 (27495)
- Add packager tag

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 19:54:51 (26912)
- fixed more dependencies

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

